## EmpathyTpTube

EmpathyTpTube

## Synopsis

                        EmpathyTpTubeAddress;
                        EmpathyTpTube;
    EmpathyTpTube *     empathy_tp_tube_new                 (TpChannel *channel);
    EmpathyTpTube *     empathy_tp_tube_new_stream_tube     (EmpathyContact *contact,
                                                             TpSocketAddressType type,
                                                             const gchar *hostname,
                                                             guint port,
                                                             const gchar *service,
                                                             GHashTable *parameters);
    void                empathy_tp_tube_accept_stream_tube  (EmpathyTpTube *tube,
                                                             TpSocketAddressType type,
                                                             EmpatyTpTubeAcceptStreamTubeCb *callback,
                                                             gpointer user_data);

## Object Hierarchy

      GObject
       +----EmpathyTpTube

## Properties

      "channel"                  TpChannel*            : Read / Write / Construct Only
      "state"                    guint                 : Read

## Signals

      "destroy"                                        : Run Last

## Description

## Details

### EmpathyTpTubeAddress

    typedef struct {
      TpSocketAddressType type;
      union {
        struct socket_address_t {
          GArray *path;
        } socket;
        struct inet_address_t {
          gchar *hostname;
          guint port;
        } inet;
      } a;
    } EmpathyTpTubeAddress;

### EmpathyTpTube

    typedef struct _EmpathyTpTube EmpathyTpTube;

### empathy_tp_tube_new ()

    EmpathyTpTube *     empathy_tp_tube_new                 (TpChannel *channel);

`channel` : |
Returns : |

### empathy_tp_tube_new_stream_tube ()

    EmpathyTpTube *     empathy_tp_tube_new_stream_tube     (EmpathyContact *contact,
                                                             TpSocketAddressType type,
                                                             const gchar *hostname,
                                                             guint port,
                                                             const gchar *service,
                                                             GHashTable *parameters);

`contact` : |
`type` : |
`hostname` : |
`port` : |
`service` : |
`parameters` : |
Returns : |

### empathy_tp_tube_accept_stream_tube ()

    void                empathy_tp_tube_accept_stream_tube  (EmpathyTpTube *tube,
                                                             TpSocketAddressType type,
                                                             EmpatyTpTubeAcceptStreamTubeCb *callback,
                                                             gpointer user_data);

`tube` : |
`type` : |
`callback` : |
`user_data` : |

## Property Details

### The `"channel"` property

      "channel"                  TpChannel*            : Read / Write / Construct Only

channel.

### The `"state"` property

      "state"                    guint                 : Read

state.

Default value: 0

## Signal Details

### The `"destroy"` signal

    void                user_function                      (EmpathyTpTube *empathytptube,
                                                            gpointer       user_data)          : Run Last

`empathytptube` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.